SearchFilters (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Class SearchFilters

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.shared.SearchFilters

- All Implemented Interfaces:
    Serializable

      public class SearchFilters
      extends Object
      implements Serializable

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Date` | `fromDate`
    `protected Coordinate` | `lowerBound`
    `protected Date` | `toDate`
    `protected Coordinate` | `upperBound`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchFilters()`
    `SearchFilters(Coordinate upperBound, Coordinate lowerBound, Date fromDate, Date toDate, List<DataSourceModel> listDataSources, String classificationGroupRank, SpeciesCapability resultType, List<DataSourceModel> listDataSourcesForSynonyms, List<DataSourceModel> listDataSourcesForUnfold)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassificationGroupByRank()`
    `Date` | `getFromDate()`
    `List<DataSourceModel>` | `getListDataSources()`
    `List<DataSourceModel>` | `getListDataSourcesForSynonyms()`
    `List<DataSourceModel>` | `getListDataSourcesForUnfold()`
    `Coordinate` | `getLowerBound()`
    `SpeciesCapability` | `getResultType()`
    `Date` | `getToDate()`
    `Coordinate` | `getUpperBound()`
    `void` | `setFromDate(Date fromDate)`
    `void` | `setListDataSources(List<DataSourceModel> listDataSources)`
    `void` | `setListDataSourcesForSynonyms(List<DataSourceModel> listDataSourcesForSynonyms)`
    `void` | `setListDataSourcesForUnfold(List<DataSourceModel> listDataSourcesForUnfold)`
    `void` | `setLowerBound(Coordinate lowerBound)`
    `void` | `setResultType(SpeciesCapability resultType)`
    `void` | `setToDate(Date toDate)`
    `void` | `setUpperBound(Coordinate upperBound)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### upperBound

          protected Coordinate upperBound

    - #### lowerBound

          protected Coordinate lowerBound

    - #### fromDate

          protected Date fromDate

    - #### toDate

          protected Date toDate

  - ### Constructor Detail

    - #### SearchFilters

          public SearchFilters()

    - #### SearchFilters

          public SearchFilters(Coordinate upperBound,
                       Coordinate lowerBound,
                       Date fromDate,
                       Date toDate,
                       List<DataSourceModel> listDataSources,
                       String classificationGroupRank,
                       SpeciesCapability resultType,
                       List<DataSourceModel> listDataSourcesForSynonyms,
                       List<DataSourceModel> listDataSourcesForUnfold)

      Parameters:
        `upperBound` -
        `lowerBound` -
        `fromDate` -
        `toDate` -
        `listDataSources` -
        `classificationGroupRank` -
        `resultType` -
        `listDataSourcesForSynonyms` -

  - ### Method Detail

    - #### getUpperBound

          public Coordinate getUpperBound()

      Returns:
        the upperBound

    - #### setUpperBound

          public void setUpperBound(Coordinate upperBound)

      Parameters:
        `upperBound` - the upperBound to set

    - #### getLowerBound

          public Coordinate getLowerBound()

      Returns:
        the lowerBound

    - #### setLowerBound

          public void setLowerBound(Coordinate lowerBound)

      Parameters:
        `lowerBound` - the lowerBound to set

    - #### getFromDate

          public Date getFromDate()

      Returns:
        the fromDate

    - #### setFromDate

          public void setFromDate(Date fromDate)

      Parameters:
        `fromDate` - the fromDate to set

    - #### getToDate

          public Date getToDate()

      Returns:
        the toDate

    - #### setToDate

          public void setToDate(Date toDate)

      Parameters:
        `toDate` - the toDate to set

    - #### getListDataSources

          public List<DataSourceModel> getListDataSources()

    - #### getClassificationGroupByRank

          public String getClassificationGroupByRank()

    - #### getResultType

          public SpeciesCapability getResultType()

    - #### setResultType

          public void setResultType(SpeciesCapability resultType)

    - #### setListDataSources

          public void setListDataSources(List<DataSourceModel> listDataSources)

    - #### getListDataSourcesForSynonyms

          public List<DataSourceModel> getListDataSourcesForSynonyms()

    - #### setListDataSourcesForSynonyms

          public void setListDataSourcesForSynonyms(List<DataSourceModel> listDataSourcesForSynonyms)

    - #### getListDataSourcesForUnfold

          public List<DataSourceModel> getListDataSourcesForUnfold()

    - #### setListDataSourcesForUnfold

          public void setListDataSourcesForUnfold(List<DataSourceModel> listDataSourcesForUnfold)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013. All Rights Reserved.